#ifndef __EMACS_P_H__
#define __EMACS_P_H__

extern SIGTYPE fatal_error_signal _P_((int sig));
extern _VOID_ shut_down_emacs _P_((int sig, int no_x, Lisp_Object stuff));
extern Lisp_Object decode_env_path _P_((char *evarname, char *defalt));
extern _VOID_ syms_of_emacs _P_((void));

DEFUN_P(Finvocation_name, (void));
DEFUN_P(Fkill_emacs, (Lisp_Object arg));
#ifdef HAVE_SHM
DEFUN_P(Fdump_emacs_data, (Lisp_Object intoname));
#else
DEFUN_P(Fdump_emacs, (Lisp_Object intoname, Lisp_Object symname));
#endif
    
#endif
